Ubuntu

Screen not locked on resume from hibernate/suspend

Reported by Mark W. Tomlinson on 2006-04-29
110
This bug affects 5 people
Affects Status Importance Assigned to Milestone
gnome-power-manager (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
xscreensaver (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Henrik Nilsen Omma

Bug Description

On my Sony VAIO PCG-GRZ610 laptop, suspend and hibernate are working correctly - except that resuming from either state does not require a password - my desktop comes back exactly where I left off. This as currently updated at 08:14AM EST on 04/29/06.

The current versions of (possibly) pertinent files are:

acpi: 0.09-1
acpid: 1.0.4-1ubuntu10
acpi-support: 0.73
gnome-power-manager: 2.14.0-1ubuntu1
powermanagement-interface: 0.3.11
powermgmt-base: 1.23

(Let me know if I missed anything...)

I first brought up gnome-power-manager and looked for an option such as "Require password on resume". Not finding one, I then set gnome-screensaver for "Lock screen when screensaver is active" and forced suspend. On resume, again no password was required.

I then opened gconf-editor and selected apps/gnome-power-manager and looked at the 4 lock keys:

lock_on_blank_screen
lock_on_hibernate
lock_on_suspend
lock_on_use_screensaver_settings

The long description from lock_on_hibernate (and _suspend, with appropriate edits) reads:

Whether or not to lock the screen when the computer wakes up from a hibernate. NOTE this option is only used if lock_use_screensaver_settings is set to false.

Okay, I set lock_on_hibernate and _suspend to true, set lock_on_use_screensaver_settings to false and tried a suspend/resume. No change, it still resumes back to my "naked" desktop. Same for hibernate.

I tried (I think) all possible permutations of the 4 lock keys, with no success.

Also, in my opinion, screensaver locking should be completely separate from power management locking - i.e. I don't want screensaver locking but I do on resume from hibernate/suspend.

As ever, let me know what else you might need from me on this one...

CVE References

Funny, I tried to flag this as security-related but Launchpad oopsed on me...

Dominic Sacré (dooooomi) wrote :

I second this. In fact the screen is locked when I suspend the machine via the gnome-power-manager icon. But it is not if I use the logout button, or my thinkpad's function keys. This is certainly not the behaviour I would expect, and should be changed.

Changed in gnome-power-manager:
status: Unconfirmed → Confirmed
Daniel Silverstone (dsilvers) wrote :

I don't believe the logout button is anything to do with gnome-power-manager.

The suspend button on your keyboard however should invoke gnome-power-manager to suspend the computer. That it isn't is very odd.

Can you please kill gnome-power-manager, run it in a terminal as:

gnome-power-manager --no-daemon --verbose 2>&1 | tee /tmp/gpm-trace

then press your suspend keyboard button, wait for the suspend, resume your laptop, wait for it to settle again, hit control+C in the terminal and use the 'add attachment' link in the actions box at the top to attach the trace to this bug?

Results from:

Can you please kill gnome-power-manager, run it in a terminal as:

gnome-power-manager --no-daemon --verbose 2>&1 | tee /tmp/gpm-trace

then press your suspend keyboard button, wait for the suspend, resume your laptop, wait for it to settle again, hit control+C in the terminal and use the 'add attachment' link in the actions box at the top to attach the trace to this bug?

Daniel - I just uploaded the trace you requested. Let me know if there's anything else I can do to help with this.

Okay, the latest (c. 11:00AM EST on 05/17/06) updates have brought some change. If I suspend or hibernate via gnome-power-manager, it definitely prompt me for a password on resume. However, now gnome-power-manager is the ONLY way I can suspend.

Previously, my laptop's hot keys (Fn-Esc for suspend, Fn-F12 for hibernate) worked correctly (or at least the way Sony says they should<g>). Now, Fn-F12 still gets me hibernate but Fn-Esc causes a very brief spurt of hard drive activity, but nothing else. Is there some other configuration trick I'm missing somewhere?

After this morning's (05/20/06) updates, I'm still seeing the same behavior - g-p-m correctly suspends and hibernates and locks my laptop on resume, but only the hibernate (Fn-F12) hotkey works, not suspend (Fn-Esc).

But now, I'm seeing the message "Resuming from hibernation..." immediately following "Mounting root file system...", regardless of the boot condition (power-on, restart or resume). And I'm seeing it on my desktop, as well.

Is this a usplash issue?

Following this morning's updates (05/23/06), I'm pleased to see that the "resuming from hibernation..." message is gone. However, I still don't have Fn-Esc hotkey functionality for suspend on my laptop. Hibernate hotkey (Fn-F12) and both hibernate and suspend selections from g-p-m continue to work correctly.

I got my hotkeys back!!! This morning's (05/30/06) updates included gnome-power-manager 2.14.3-0ubuntu11 that seems to have corrected all my issues. I can now either use the g-p-m applet or Sony's hotkey combinations to invoke suspend (Fn-Esc) or hibernate (Fn-F12) - and the screen is locked on resume.

Thanks, people! (Now, don't change a thing...<g>)

I didn't have this problem on Feisty on this same laptop, but now that I'm using Gutsy it does happen whenever I suspend or hybernate the machine. This is most definitely a security issue.

Today I don't have the problem, I think it's because I selected the option to lock the screen when the screensaver is active in the screensaver preferences menu.

The fix is what Jean mentioned. When gnome-power-manager starts suspend it sends a dbus message to gnome-screen-saver that the machine is now inactive. That kicks on the screen saver. During the resume a dbus message is sent that the system is now active and to disable the screen saver. If you tell gnome-screen-saver to lock the screen then it will ask for a password.

Dave Gilbert (ubuntu-treblig) wrote :

(This started happening for me when I upgraded to Gutsy latest on ~ August 25)

This needs to be slightly separate from screen saver settings; the choice of locking screen when the screen saver pops in and when you come out of hibernation are certainly different for me; it's also a change in behaviour that for some people leaves there machine less secure.

unggnu (unggnu) wrote :

This still happens in Gutsy but a fix is much more easier.
It is a good idea to lock screen on suspend/hibernate only if people want it. Everybody who enables screen saver locking wants to lock screen on suspend/hinbernate too.
The easiest solution for this is to enable the gconf option /apps/gnome-power-manager/lock_use_screensaver_settings per default.
So everybody who needs no protection and don't want any password dialog are happy and the others who need security are happy too and there is no need for an extra option.

Oliver Grawert (ogra) wrote :

gnome-power-manager (2.20.0-0ubuntu2) gutsy; urgency=low

  * adjust the default gconf paths for our default keys so the defined
    default behavior is the same as in feisty. to address the return of
    LP: #42052 and LP: #39448

 -- Oliver Grawert <email address hidden> Wed, 26 Sep 2007 01:16:44 +0200

Changed in gnome-power-manager:
status: Confirmed → Fix Released
Forest (foresto) wrote :

It's still broken for me.

If I hibernate using the power manager icon in the notification area, I am prompted for my password when I resume. If I hibernate using the usual Quit / Log Out menu, the password prompt is bypassed when I resume.

Xfce desktop.
Upgraded from Feisty to Gutsy.
gnome-screensaver 2.20.0-0ubuntu4.2
gnome-power-manager 2.20.0-0ubuntu6
/apps/gnome-power-manager/lock/hibernate: true
/apps/gnome-power-manager/lock/suspend: true
/apps/gnome-power-manager/lock/use_screensaver_settings: false

I do not have gnome-screensaver configured to lock the screen automatically. I prefer the screen to lock only when I tell it to (using control-alt-delete) and when resuming from hibernate.

See bug 123080 for more info.

Forest (foresto) wrote :

Re-opening in hopes that someone will notice this is not entirely fixed. Gutsy is still broken where Feisty worked.

Forest (lpforest-merged) on 2007-12-04
Changed in gnome-power-manager:
status: Fix Released → Confirmed
ceg (ceg) wrote :

Same in hardy

maybe putting a script in a pm-tools directory to lock the screens (and open consoles Alt-Ctrl-F1, ...)

Oliver Grawert (ogra) wrote :

@ceg, in all hardy test installs i have ever seen the keys are set like:

/apps/gnome-power-manager/lock/hibernate: true
/apps/gnome-power-manager/lock/suspend: true
/apps/gnome-power-manager/lock/use_screensaver_settings: false

do you say thats not the case for you ?

P. Pereira (p-pereira2) wrote :

The same happens with the latest xubuntu 8.10 rc. Screensaver options are set to lock, after resume screen is unlocked.

Luca Zorzi (lucazorzi91) wrote :

I think that this is not a gnome-only issue, I have the same one with Kubuntu Intrepid with KDE4.

It worked perfectly with Hardy, it got broken after upgrading to Intrepid.

Jarno Suni (jarnos) wrote :

In 8.10:

In Gnome:
You can get screen locked in Gnome, it you check "Lock screen"... in Screensaver preferences.

In Xfce4:
Additionally choose Power Management in Screensaver preferences and choose a way to suspend/hibernate.
You can not use the "Ask me" option in Power Management preferences like above (or you can, but it doesn't lock screen when you resume). Then use that way to suspend/hibernate. In summary: whenever you suspend/hibernate using the Quit dialog, screen will not be locked.

Forest (foresto) wrote :

This problem still exists after upgrading to Intrepid. (It worked fine before upgrading from Feisty to Gutsy.)

When I choose to hibernate using the power applet on the panel, the screen fades to black before hibernating, and is locked when I resume from hibernation. I'm guessing that fade indicates that the panel applet is locking the screen via the screen saver before hibernating.

When I hibernate using the shutdown menu, no such fade occurs, and the screen is not locked when I resume from hibernation. That is the broken behavior.

Does the shutdown menu's hibernate button operate via gnome-power-manager? If not, can someone identify the mechanism it does use and add it to this bug report?

(For the record, I'm using xfce on Intrepid.)

Jarno Suni (jarnos) wrote :

Forest, do you mean the Action Buttons panel item by the power applet?

Forest (foresto) wrote :

When I said "power applet on the panel" I meant the little power plug icon that lives near the clock on my xfce panel. Now that you mention it, I don't think it's a panel applet after all. That icon appears in the notification tray when I select "Always display an icon" in the xfce Power Management Preferences. I'm guessing it gets added to the tray by gnome-power-manager. Screen shot attached.

Ray (gunblad3) wrote :

Experiencing the same here with UNR 9.04 Jaunty.

Luca Zorzi (lucazorzi91) wrote :

Still experiencing this issue with Kubuntu 9.04

Sean Kennedy (sean-worker) wrote :

I see this with xfce4 in 9.04.
This should be marked as a security issue.
Call me dumb, but it took me at least a month to clue in that when I suspended my computer that I didn't need a password to resume.
During all that time my computer was insecure whenever suspended.

Scott Howard (showard314) wrote :

Has anyone tested this bug with Karmic yet? There has been significant changes to GPM from Jaunty to Karmic, and if this is not fixed in Karmic we should work on it. While it is a security issue, Ubuntu tends to be extra careful in allowing SRUs. The best course of action would be to get it fixed in Karmic and then assess our ability to get it fixed in Jaunty.

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Incomplete
Scott Howard (showard314) wrote :

I marked as incomplete until it is checked in Karmic, then it can go back to confirmed.

Dave Gilbert (ubuntu-treblig) wrote :

On Karmic this bug has returned for me; this was working for the last couple of years but has come back in the last 2 or 3 weeks of Karmic - so since this bug was marked as 'incomplete someone try karmic' - sorry, it's back - although to be fair I suspect it's a different bug since the original one was files 3.5 years ago!

Dave

Changed in gnome-power-manager (Ubuntu):
status: Incomplete → New
Dominik George (natureshadow) wrote :

This also happens sometimes on my SAMSUNG R700 Aura on amd64.

Scott Howard (showard314) wrote :

Thanks for checking, setting it back to confirmed.

(This is an existing bugs that still exist and can be fixed in Karmic.)

Mathieu Pellerin (nirvn-asia) wrote :

I wonder if the resurgence of this bug has anything to do with Bug 397892 (Screensaver does not turn on [Ubuntu/Xubuntu Karmic])

Alexander Hartl (alx321) wrote :

Same problem on an acer aspire 6920 with karmic

Sean Kennedy (sean-worker) wrote :

I have found that using xscreensaver instead of gnome-screensaver results in the session resumes as locked.
(Currently, it is also locking me out every time I close the lid ... but that is less of a problem since the security problem has been resolved.)

I am also using xfce4-power-manager instead of gnome-power-manager.

Scott Howard (showard314) wrote :

Moving this bug to xscreensaver since it exists when you are using a different power manager and does not exist when using gnome-screensaver.

Changed in gnome-power-manager (Ubuntu):
status: New → Triaged
status: Triaged → Invalid

no ... it does NOT exist when using xscreensaver and xfce4-power-manager
it DOES exist when using gnome-screensaver and gnome-power-manager
(those are the only two combination I've tested ... if you want to move it,
it should go to gnome-screensaver)

2009/9/8 Scott Howard <email address hidden>

> Moving this bug to xscreensaver since it exists when you are using a
> different power manager and does not exist when using gnome-screensaver.
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Status: New => Triaged
>
> ** Also affects: xscreensaver (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Status: Triaged => Invalid
>
> --
> Screen not locked on resume from hibernate/suspend
> https://bugs.launchpad.net/bugs/42052
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sean Kennedy (sean-worker) wrote :

also ... before calling it "invalid" against gnome-power-manager, someone
should try the combination:
gnome-power-manager + xscreensaver

2009/9/8 Sean Kennedy <email address hidden>

> no ... it does NOT exist when using xscreensaver and xfce4-power-manager
> it DOES exist when using gnome-screensaver and gnome-power-manager
> (those are the only two combination I've tested ... if you want to move it,
> it should go to gnome-screensaver)
>
> 2009/9/8 Scott Howard <email address hidden>
>
> Moving this bug to xscreensaver since it exists when you are using a
>> different power manager and does not exist when using gnome-screensaver.
>>
>> ** Changed in: gnome-power-manager (Ubuntu)
>> Status: New => Triaged
>>
>> ** Also affects: xscreensaver (Ubuntu)
>> Importance: Undecided
>> Status: New
>>
>> ** Changed in: gnome-power-manager (Ubuntu)
>> Status: Triaged => Invalid
>>
>> --
>> Screen not locked on resume from hibernate/suspend
>> https://bugs.launchpad.net/bugs/42052
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Scott Howard (showard314) wrote :

Thanks for the pointing it that out, sorry I misread it. I'm resetting this bug to the previous state.

Changed in gnome-power-manager (Ubuntu):
status: Invalid → Confirmed
Changed in xscreensaver (Ubuntu):
status: New → Invalid
mokabar (tim-klingt) wrote :

on my laptop, i had this issue with 8.10, it was resolved with 9.04 but appeared again with 9.10 ...

Brian Murray (brian-murray) wrote :

Bug 428115 is a fresh bug report dealing with this issue on Karmic and I'd prefer to use that to track progress on the bug. Barring any objections I'd like to set this back to Fix Released.

Dave Gilbert (ubuntu-treblig) wrote :

OK by me - and by the looks of it a fix happened yesterday that seems to work for me (just as I got round to trying to figure out how this worked!).

Dave

Dominik George (natureshadow) wrote :

Fixed in yesterday's update.

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Fix Released
Paul Taylor (ptptaylor) wrote :

I'm not sure if it's related, but I just then experienced the same thing. I was able to use the computer for about 30 seconds after being away from the computer for 20 minutes.
The computer wasn't in sleep mode, but the screensaver had kicked in. When I moved the mouse I was able to do things, and 30 seconds later it took me to the resume screen requiring a password.
I'm using ubuntu 11.04 64bit.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers